libnl: Match-all Classifier

libnl 3.10.0

Data Structures | Macros
Match-all Classifier
Routing Library (libnl-route) » Traffic Control » Classifiers

## Data Structures
struct | rtnl_mall

## Macros
#define | MALL_ATTR_CLASSID 0x01
#define | MALL_ATTR_FLAGS 0x02
#define | MALL_ATTR_ACTION 0x03

## Attribute Modifications
int | rtnl_mall_set_classid (struct rtnl_cls *cls, uint32_t classid)
int | rtnl_mall_get_classid (struct rtnl_cls *cls, uint32_t *classid)
int | rtnl_mall_set_flags (struct rtnl_cls *cls, uint32_t flags)
int | rtnl_mall_get_flags (struct rtnl_cls *cls, uint32_t *flags)
int | rtnl_mall_append_action (struct rtnl_cls *cls, struct rtnl_act *act)
struct rtnl_act * | rtnl_mall_get_first_action (struct rtnl_cls *cls)
int | rtnl_mall_del_action (struct rtnl_cls *cls, struct rtnl_act *act)

## Detailed Description

## Macro Definition Documentation

## ◆ MALL_ATTR_CLASSID

#define MALL_ATTR_CLASSID 0x01

Definition at line 32 of file mall.c.

## ◆ MALL_ATTR_FLAGS

#define MALL_ATTR_FLAGS 0x02

Definition at line 33 of file mall.c.

## ◆ MALL_ATTR_ACTION

#define MALL_ATTR_ACTION 0x03

Definition at line 34 of file mall.c.

## Function Documentation

## ◆ rtnl_mall_set_classid()

int rtnl_mall_set_classid | ( | struct rtnl_cls * | cls,
|  | uint32_t | classid )

Definition at line 47 of file mall.c.

## ◆ rtnl_mall_get_classid()

int rtnl_mall_get_classid | ( | struct rtnl_cls * | cls,
|  | uint32_t * | classid )

Definition at line 59 of file mall.c.

## ◆ rtnl_mall_set_flags()

int rtnl_mall_set_flags | ( | struct rtnl_cls * | cls,
|  | uint32_t | flags )

Definition at line 73 of file mall.c.

## ◆ rtnl_mall_get_flags()

int rtnl_mall_get_flags | ( | struct rtnl_cls * | cls,
|  | uint32_t * | flags )

Definition at line 86 of file mall.c.

## ◆ rtnl_mall_append_action()

int rtnl_mall_append_action | ( | struct rtnl_cls * | cls,
|  | struct rtnl_act * | act )

Definition at line 100 of file mall.c.

## ◆ rtnl_mall_get_first_action()

struct rtnl_act * rtnl_mall_get_first_action | ( | struct rtnl_cls * | cls | ) |

Definition at line 118 of file mall.c.

## ◆ rtnl_mall_del_action()

int rtnl_mall_del_action | ( | struct rtnl_cls * | cls,
|  | struct rtnl_act * | act )

Definition at line 135 of file mall.c.